using System;

public class Program
{
		 public static int Zbir(int a, int s)
		{
			if(a==0) return s;
			s+=a;
			a--;
			return Zbir(a,s);
		}
	public static void Main()
	{
		int t=int.Parse(Console.ReadLine());
		int []n=new int[t];
		int []m=new int[t];
		int []k=new int[t];
		for(int i=0;i<t;i++)
		{
			string []s=Console.ReadLine().Split();
			n[i]=int.Parse(s[0]);
			m[i]=int.Parse(s[1]);
			k[i]=int.Parse(s[2]);
		}
		for(int i=0;i<t;i++)
		{
			int c1=n[i]/2;
			int c2=n[i]-c1;
			int c=Zbir(c1,1)+Zbir(c2,1);
			if(c>m[i] || n[i]<k[i])
			{
				Console.WriteLine("Nie");
			}
			else
			{
				Console.WriteLine("Tak");
			}
		}
	}
}